---
title: device
slug: Web/API/BluetoothRemoteGATTService/device
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTService
  - Device
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothGATTService.device</code></strong> read-only property returns information about a Bluetooth device through an instance of {{domxref("BluetoothDevice")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>bluetoothDeviceInstance</em> = BluetoothGATTService.<em>device</em></pre>

<h3 id="Returns">Returns</h3>

<p>An instance of {{domxref("BluetoothDevice")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Bluetooth','#dom-bluetoothremotegattservice-device','device')}}</td>
   <td>{{Spec2('Web Bluetooth')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTService.device")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
